import keras

#keras.applications.xception.Xception(input_tensor=None, input_shape=None, pooling=None, classes=1000)

model = keras.applications.xception.Xception(include_top=True,weights=None, input_tensor=None, input_shape=None, pooling=None, classes=20)

model.compile(optimizer = 'adam', loss = 'categorical_crossentropy', metrics = ['accuracy'])

from keras.preprocessing.image import ImageDataGenerator

train_datagen = ImageDataGenerator(rescale=1./255,
    shear_range=0.2,
        zoom_range=0.2,
    horizontal_flip=True,                            
    validation_split=0.2) 

train_generator = train_datagen.flow_from_directory(
    'Images/',
    target_size=(299,299),
    batch_size=8,
    class_mode='categorical',
    subset='training')

validation_generator = train_datagen.flow_from_directory(
    'Images/',
    target_size=(299,299),
    batch_size=8,
    class_mode='categorical',
    subset='validation')

hist = model.fit_generator(
    train_generator,
    steps_per_epoch = train_generator.samples // 10,
    validation_data = validation_generator, 
    validation_steps = validation_generator.samples // 10,
    epochs = 100)


import cv2
import os
for root, dirs, files in os.walk('Images'):
        for i in files:
             if i.endswith(".pgm"):
                    os.remove(os.path.join(root, i))


